./editors/emacs22, GNU editing macros (editor)

[ CVSweb ] [ Homepage ] [ RSS ] [ Required by ] [ Add to tracker ]


Branch: CURRENT, Version: 22.3nb45, Package name: emacs22-22.3nb45, Maintainer: pkgsrc-users

GNU Emacs is a self-documenting, customizable, extensible real-time
display editor.

Users new to Emacs will be able to use basic features fairly rapidly
by studying the tutorial and using the self-documentation features.
Emacs also has an extensive interactive manual browser. It is easily
extensible since its editing commands are written in Lisp.

GNU Emacs's many special packages handle mail reading (RMail) and
sending (Mail), outline editing (Outline), compiling (Compile),
running subshells within Emacs windows (Shell), running a Lisp
read-eval-print loop (Lisp-Interaction-Mode), automated psychotherapy
(Doctor :-) and many more.

This package contains Emacs version 22.


Required to run:
[graphics/tiff] [graphics/png] [graphics/jpeg] [lang/perl5] [x11/libXpm] [graphics/giflib]

Required to build:
[pkgtools/x11-links] [x11/xproto] [pkgtools/cwrappers]

Package options: x11, xaw

Master sites: (Expand)

SHA1: 5e9b3e0205099a83be7198fd43ba1c9442a3feb0
RMD160: a7eed5099d0cab25f34152f1b18b5c1b4e2e0746
Filesize: 38659.566 KB

Version history: (Expand)


CVS history: (Expand)


   2017-02-12 07:26:18 by Ryo ONODERA | Files touched by this commit (1451)
Log message:
Recursive revbump from fonts/harfbuzz
   2017-02-06 14:56:14 by Thomas Klausner | Files touched by this commit (1452)
Log message:
Recursive bump for harfbuzz's new graphite2 dependency.
   2016-12-31 07:11:21 by David A. Holland | Files touched by this commit (3)
Log message:
Merge my recent fixes to emacs20 and emacs21:
   - set ELFSIZE correctly (I still have no idea how this ever worked)
   - insert workaround for gcc5's calloc bug

For some reason I thought emacs22 wasn't affected by these issues, or
I would have done this earlier.

This does not make the package build on -current, but it gets a lot
farther now - it segvs building the quail elisp. I have a feeling
we've seen this problem before also, but if so it was some years back
and I can't remember what it was about.
   2016-12-30 23:25:46 by Thomas Klausner | Files touched by this commit (3)
Log message:
Fix options framework abuse in emacs22*.

Packages do not build for me on -current, so not build-tested.
   2016-08-03 12:23:40 by Adam Ciarcinski | Files touched by this commit (1248) | Package updated
Log message:
Revbump after graphics/gd update
   2016-07-09 08:39:18 by Thomas Klausner | Files touched by this commit (1068) | Package updated
Log message:
Bump PKGREVISION for perl-5.24.0 for everything mentioning perl.
   2015-11-03 04:32:24 by Alistair G. Crooks | Files touched by this commit (138)
Log message:
Add SHA512 digests for distfiles for editors category

Problems found with existing distfiles:
	distfiles/javascript-2.1b1.el
	distfiles/yEd-3.14.2.zip
No changes made to the javascript-mode or yEd distinfo files.

Otherwise, existing SHA1 digests verified and found to be the same on
the machine holding the existing distfiles (morden).  All existing
SHA1 digests retained for now as an audit trail.
   2015-10-14 22:17:28 by Thomas Klausner | Files touched by this commit (54)
Log message:
Switch from x11/Xaw3d to newer x11/libXaw3d.

Adapt some packages so they build with that.
Bump their PKGREVISIONs.